## image

ImagePackage Interface

Das ImagePackage-Interface bietet Funktionen zur Bildmanipulation. Es enthält folgende Methode:

-   `filter(sourceFile: string, targetFile: string, filters: {}[]): void`:
    Diese Methode nimmt den Pfad zur Quellbilddatei, den Pfad zur Zieldatei und eine Reihe von Filtern entgegen und wendet diese Filter auf das Bild an. Die Filter können Aspekte des Bildes wie Größe, Helligkeit, Sättigung, Kontrast, Gamma, Unschärfe, Schärfe, Inversion, Graustufen und Qualität steuern.

```ts
interface ImagePackage {
    /**
     * convert image from source file to target file with filters
     *
     * @param sourceFile
     * @param targetFile
     * @param filters
     */
    filter(
        sourceFile: string,
        targetFile: string,
        filters: {
            fit?: boolean
            fill?: boolean
            width?: number
            height?: number
            brightness?: number
            saturation?: number
            contrast?: number
            gamma?: number
            blur?: number
            sharpen?: number
            invert?: boolean
            grayscale?: boolean
            quality?: number
        }[]
    ): void
}
```
